<template>
  <div>
    <nav
      id="nav-main"
      class="nav headroom dd-slider-light headroom--top headroom--not-bottom"
      role="navigation"
    >
      <div class="container">
        <div class="nav-left">
          <a href="/" class="nav-item dd-nav-item-logo">
            <div class="dd-logo" :style="style"></div>
          </a>
        </div>
        <span id="nav-toggle" class="nav-toggle"
          ><span></span><span></span><span></span
        ></span>
        <div id="nav-menu" class="nav-right nav-menu">
          <nuxt-link
            v-for="item in menu"
            :key="item.object_id"
            class="nav-item"
            :to="'/' + item.slug"
            >{{ item.title }}</nuxt-link
          >
        </div>
      </div>
    </nav>
  </div>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'

export default {
  name: 'HeaderWhite',
  computed: {
    ...mapGetters(['modules/media/singleMedia', 'modules/menus/Menu']),
    style() {
      return (
        'background-image: url(' +
        this['modules/media/singleMedia'].source_url +
        ');'
      )
    },
    menu() {
      return this['modules/menus/Menu']
    }
  },
  created() {
    this.getSingle(1861)
    this.getMenu(6)
  },
  methods: {
    ...mapActions({
      getSingle: 'modules/media/getSingle',
      getMenu: 'modules/menus/getMenu'
    })
  }
}
</script>

<style scoped>
html body .nav-item {
  color: white !important;
}
.nav .nav-item .dd-logo {
  width: 198px;
  height: 30px;
  background-position: 0 -7px;
}
</style>
